rte_swx_ipsec_sa_cipher_params(3)

NAME
rte_swx_ipsec_sa_cipher_params

SYNOPSIS

#include <rte_swx_ipsec.h>

  Data Fields

enum rte_crypto_cipher_algorithm alg
uint8_t key [RTE_SWX_IPSEC_KEY_SIZE_MAX]
uint32_t key_size

Detailed Description

IPsec SA crypto cipher parameters.

Definition at line 189 of file rte_swx_ipsec.h.

Field Documentation

  enum rte_crypto_cipher_algorithm alg
Cipher algorithm.

Definition at line 191 of file rte_swx_ipsec.h.

  uint8_t key[RTE_SWX_IPSEC_KEY_SIZE_MAX]
Cipher key.

Definition at line 194 of file rte_swx_ipsec.h.

  uint32_t key_size
Cipher key size in bytes.

Definition at line 197 of file rte_swx_ipsec.h.

Author

Generated automatically by Doxygen for DPDK from the source code.